ostrace_activity_cb_t
ostrace_archive_write_cb_t
ostrace_client_free
ostrace_client_new
ostrace_client_start_service
ostrace_client_t
ostrace_create_archive
ostrace_error_t
ostrace_get_pid_list
OSTRACE_SERVICE_NAME
ostrace_start_activity
ostrace_stop_activity

## ostrace_start_activity()

LIBIMOBILEDEVICE_API ostrace_error_t ostrace_start_activity | ( | ostrace_client_t | client,
|  | plist_t | options,
|  | ostrace_activity_cb_t | callback,
|  | void * | user_data )

Starts capturing OS trace activity data of the device using a callback.

Use ostrace_stop_activity() to stop receiving the ostrace.

Parameters

  client | The ostrace client to use
  options | Options dictionary to pass to StartActivity request. Valid options are MessageFilter (PLIST_INT, default 65535), Pid (PLIST_INT, default -1), and StreamFlags (PLIST_INT, default 60)
  callback | Callback to receive data from ostrace.
  user_data | Custom pointer passed to the callback function.
  user_data_free_func | Function pointer that will be called when the activity is stopped to release user_data. Can be NULL for none.

Returns
  OSTRACE_E_SUCCESS on success, OSTRACE_E_INVALID_ARG when one or more parameters are invalid or OSTRACE_E_UNKNOWN_ERROR when an unspecified error occurs or an ostrace activity has already been started.